Node
post
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Body
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
post
/gateway/v1/deserialize-nodesList all node names, filtered based on site ids and node type and status.
If node type and node status are empty, it will consider all possible
values of these inputs. This API is not paginated.
get
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Query parameters
siteIdinteger · uint64Optional
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
get
/gateway/v1/node-namesList all nodes, filtered based on node_ids. This API is paginated and
returns values [offset, offset + page_size). Node ids are unique across
sources, sinks and transforms. Node's config is returned if include_config
is set.
get
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Query parameters
nodeIdsinteger · uint64[]Optional
includeConfigbooleanOptional
Whether to include config in return value.
pagination.offsetinteger · int64Optional
pagination.limitinteger · int64Optional
pagination.totalCountinteger · int64Optional
pagination.ordering.fieldNamestringOptional
pagination.ordering.descendingbooleanOptional
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
get
/gateway/v1/nodesget
Authorizations
authorizationstringRequired
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
Query parameters
siteIdinteger · uint64Optional
nodeIdsinteger · uint64[]Optional
ID here represents the ID of the component in DB.
Responses
200
A successful response.
application/json
default
An unexpected error response.
application/json
get
/gateway/v1/serialize-nodesLast updated
Was this helpful?

